Package ru.bitel.bgbilling.modules.rscm.common.service

# Interface RSCMService

public interface RSCMService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelRSCMContractServiceInstallment(int id)`
  `void`
  `closeRSCMContractServiceInstallment(int id)`
  `void`
  `deleteRSCMContractService(int rscmContractServiceId, int contractId, LocalDate month)`
  `void`
  `deleteRSCMContractServiceInstallment(int id, int contractId)`
  `void`
  `deleteRSCMService(int rscmServiceId)`
  `RSCMContractService`
  `getRSCMContractService(int contractId, int rscmContractServiceId)`
  `List<RSCMServiceDto>`
  `getRSCMContractServiceList(boolean isUsing)`
  `RSCMService`
  `getRSCMService(int rscmServiceId)`
  `List<IdTitle>`
  `getRSCMServiceList()`
  `void`
  `infoRSCMContractServiceInstallment(int id)`
  `void`
  `recalculate(Date startMonth, String email, List<Integer> contractIds)`
  `void`
  `resumeRSCMContractServiceInstallment(int id)`
  `SearchResult<RSCMContractService>`
  `searchRSCMContractService(int contractId, Period period, String[] sort, Page page)`
  `SearchResult<RSCMContractServiceInstallment>`
  `searchRSCMContractServiceInstallment(int contractId, int status, String[] sort, Page page)`
  `SearchResult<RSCMService>`
  `searchRSCMService(String[] sort, Page page)`
  `void`
  `suspendRSCMContractServiceInstallment(int id)`
  `void`
  `updateRSCMContractService(RSCMContractService rscmContractService)`
  `void`
  `updateRSCMService(RSCMService rscmService)`

- ## Method Details

  - ### searchRSCMContractService

    SearchResult<RSCMContractService> searchRSCMContractService(int contractId, Period period, String[] sort, Page page) throws Exception
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:

  - ### searchRSCMService

    SearchResult<RSCMService> searchRSCMService(String[] sort, Page page) throws Exception
    Parameters:
      `sort` -
      `page` -
      `period` -
    Returns:

  - ### getRSCMContractService

    RSCMContractService getRSCMContractService(int contractId, int rscmContractServiceId) throws Exception
    Parameters:
      `contractId` -
      `id` -
    Returns:

  - ### getRSCMService

    RSCMService getRSCMService(int rscmServiceId) throws Exception
    Parameters:
      `id` -
    Returns:

  - ### updateRSCMContractService

    void updateRSCMContractService(RSCMContractService rscmContractService) throws Exception
    Parameters:
      `rscmContractService` -

  - ### updateRSCMService

    void updateRSCMService(RSCMService rscmService) throws Exception
    Parameters:
      `rscmService` -

  - ### deleteRSCMContractService

    void deleteRSCMContractService(int rscmContractServiceId, int contractId, LocalDate month) throws Exception
    Parameters:
      `rscmContractServiceId` -
      `date` -

  - ### deleteRSCMService

    void deleteRSCMService(int rscmServiceId) throws Exception
    Parameters:
      `rscmServiceId` -

  - ### recalculate

    void recalculate(Date startMonth, String email, List<Integer> contractIds) throws Exception
    Parameters:
      `startMonth` -
      `email` -
      `contractIds` -

  - ### getRSCMContractServiceList

    List<RSCMServiceDto> getRSCMContractServiceList(boolean isUsing) throws Exception
    Returns:

  - ### getRSCMServiceList

    List<IdTitle> getRSCMServiceList() throws Exception
    Returns:

  - ### searchRSCMContractServiceInstallment

    SearchResult<RSCMContractServiceInstallment> searchRSCMContractServiceInstallment(int contractId, int status, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### deleteRSCMContractServiceInstallment

    void deleteRSCMContractServiceInstallment(int id, int contractId) throws Exception
    Throws:
      `Exception`

  - ### infoRSCMContractServiceInstallment

    void infoRSCMContractServiceInstallment(int id) throws Exception
    Throws:
      `Exception`

  - ### suspendRSCMContractServiceInstallment

    void suspendRSCMContractServiceInstallment(int id) throws Exception
    Throws:
      `Exception`

  - ### resumeRSCMContractServiceInstallment

    void resumeRSCMContractServiceInstallment(int id) throws Exception
    Throws:
      `Exception`

  - ### cancelRSCMContractServiceInstallment

    void cancelRSCMContractServiceInstallment(int id) throws Exception
    Throws:
      `Exception`

  - ### closeRSCMContractServiceInstallment

    void closeRSCMContractServiceInstallment(int id) throws Exception
    Throws:
      `Exception`